apiVersion: cdi.kubevirt.io/v1beta1
kind: DataImportCron
metadata:
  annotations:
    cdi.kubevirt.io/storage.bind.immediate.requested: 'true'
    cdi.kubevirt.io/storage.import.lastCronTime: '2023-12-13T01:42:20Z'
    cdi.kubevirt.io/storage.import.sourceDesiredDigest: 'sha256:c323729af4d602033480a4f8df788cdc2a95fc968aa75c291eb23080b33f2ba2'
    cdi.kubevirt.io/storage.import.storageClass: hostpath-csi-basic
    operator-sdk/primary-resource: openshift-cnv/ssp-kubevirt-hyperconverged
    operator-sdk/primary-resource-type: SSP.ssp.kubevirt.io
  resourceVersion: '120694'
  name: centos-stream8-image-cron
  uid: 65f88e3d-62d9-4ad5-af9d-4b692c5c30e4
  creationTimestamp: '2023-12-13T01:42:18Z'
  generation: 4
  managedFields:
    - apiVersion: cdi.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:cdi.kubevirt.io/storage.bind.immediate.requested': {}
            'f:operator-sdk/primary-resource': {}
            'f:operator-sdk/primary-resource-type': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
            'f:app.kubernetes.io/version': {}
            'f:instancetype.kubevirt.io/default-instancetype': {}
            'f:instancetype.kubevirt.io/default-preference': {}
        'f:spec':
          .: {}
          'f:garbageCollect': {}
          'f:managedDataSource': {}
          'f:schedule': {}
          'f:template':
            .: {}
            'f:metadata': {}
            'f:spec':
              .: {}
              'f:source':
                .: {}
                'f:registry':
                  .: {}
                  'f:pullMethod': {}
                  'f:url': {}
              'f:storage':
                .: {}
                'f:resources':
                  .: {}
                  'f:requests':
                    .: {}
                    'f:storage': {}
            'f:status': {}
        'f:status': {}
      manager: manager
      operation: Update
      time: '2023-12-13T01:42:18Z'
    - apiVersion: cdi.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:cdi.kubevirt.io/storage.import.lastCronTime': {}
            'f:cdi.kubevirt.io/storage.import.sourceDesiredDigest': {}
      manager: cdi-source-update-poller
      operation: Update
      time: '2023-12-13T01:42:20Z'
    - apiVersion: cdi.kubevirt.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:cdi.kubevirt.io/storage.import.storageClass': {}
        'f:status':
          'f:conditions': {}
          'f:currentImports': {}
          'f:lastExecutionTimestamp': {}
          'f:lastImportTimestamp': {}
          'f:lastImportedPVC':
            .: {}
            'f:name': {}
            'f:namespace': {}
          'f:sourceFormat': {}
      manager: virt-cdi-controller
      operation: Update
      time: '2023-12-13T01:42:20Z'
  namespace: openshift-virtualization-os-images
  labels:
    app.kubernetes.io/component: templating
    app.kubernetes.io/managed-by: ssp-operator
    app.kubernetes.io/name: data-sources
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.15.0
    instancetype.kubevirt.io/default-instancetype: u1.medium
    instancetype.kubevirt.io/default-preference: centos.stream8
spec:
  garbageCollect: Outdated
  managedDataSource: centos-stream8
  schedule: 10 3/12 * * *
  template:
    metadata: {}
    spec:
      source:
        registry:
          pullMethod: node
          url: 'docker://quay.io/containerdisks/centos-stream:8'
      storage:
        resources:
          requests:
            storage: 30Gi
    status: {}
status:
  conditions:
    - lastHeartbeatTime: '2023-12-13T01:42:18Z'
      lastTransitionTime: '2023-12-13T01:42:18Z'
      message: No current import
      reason: NoImport
      status: 'False'
      type: Progressing
    - lastHeartbeatTime: '2023-12-13T01:42:20Z'
      lastTransitionTime: '2023-12-13T01:42:20Z'
      message: Latest import is up to date
      reason: UpToDate
      status: 'True'
      type: UpToDate
  currentImports:
    - DataVolumeName: centos-stream8-c323729af4d6
      Digest: 'sha256:c323729af4d602033480a4f8df788cdc2a95fc968aa75c291eb23080b33f2ba2'
  lastExecutionTimestamp: '2023-12-13T01:42:20Z'
  lastImportTimestamp: '2023-12-13T01:42:20Z'
  lastImportedPVC:
    name: centos-stream8-c323729af4d6
    namespace: openshift-virtualization-os-images
  sourceFormat: pvc
